﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="ISO-8859-1"/>

<xsl:param name="count"/>

<xsl:variable name="nl">
<xsl:text>
</xsl:text>
</xsl:variable>
<xsl:variable name="nl2" select="concat($nl, $nl)"/>

<xsl:template match="/">
	<xsl:apply-templates select="rss/channel"/>
	<xsl:apply-templates select="rss/channel/item"/>
</xsl:template>

<xsl:template match="rss/channel">
	<xsl:text>!! %newwin%[[</xsl:text>
	<xsl:value-of select="link/."/>
	<xsl:text>|</xsl:text>
	<xsl:value-of select="title/."/>
	<xsl:text>]]</xsl:text>
	<xsl:value-of select="$nl2"/>
</xsl:template>

<xsl:template match="rss/channel/item">
	<xsl:if test="string-length($count) = 0 or position() &lt;= $count">
		<xsl:text>* %newwin%[[</xsl:text>
		<xsl:value-of select="link/."/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="title/."/>
		<xsl:text>]]\\</xsl:text><xsl:value-of select="$nl"/>
		<xsl:text>  [-</xsl:text>
		<xsl:value-of select="description/."/>
		<xsl:text>-]</xsl:text>
		<xsl:value-of select="$nl"/>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>
